Jupiter ERP
Account API

List account contacts

/api/account/contacts

GETHTTP
get/api/account/contacts

Example request

GET https://api.jupiter-erp.com/api/account/contacts

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/contacts' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
statusquerynoFilter by contact lifecycle status. Defaults to active contacts when omitted.
parent_idquerynoFilter by parent contact ID
typequerynoFilter by contact type (organisation or person)
genderquerynoFilter by gender
namequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
first_namequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
last_namequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
address_line_1querynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
zipquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
cityquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
statequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
country_codequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
phonesquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
emailsquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
websitesquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
reference_keyquerynoSearch by reference key. Supports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
contact_numberquerynoSearch by contact number. Supports SQL-like syntax: - `123*`: begins with `123` - `*123`: ends with `123` - `*123*`: contains `123` - `123`: exact match.
debtor_numberquerynoSearch by debtor number. Supports SQL-like syntax: - `123*`: begins with `123` - `*123`: ends with `123` - `*123*`: contains `123` - `123`: exact match.
creditor_numberquerynoSearch by creditor number. Supports SQL-like syntax: - `123*`: begins with `123` - `*123`: ends with `123` - `*123*`: contains `123` - `123`: exact match.
bank_ibanquerynoSearch by bank IBAN. Supports SQL-like syntax: - `DE89*`: begins with `DE89` - `*DE89`: ends with `DE89` - `*DE89*`: contains `DE89` - `DE89`: exact match.
vat_idquerynoSearch by VAT ID. Supports SQL-like syntax: - `DE123*`: begins with `DE123` - `*DE123`: ends with `DE123` - `*DE123*`: contains `DE123` - `DE123`: exact match.
tax_idquerynoSearch by tax ID. Supports SQL-like syntax: - `12345*`: begins with `12345` - `*12345`: ends with `12345` - `*12345*`: contains `12345` - `12345`: exact match.
group_ids[]querynoFilter by group IDs
created_at_fromquerynoFilter contacts created on or after this date (YYYY-MM-DD)
created_at_toquerynoFilter contacts created on or before this date (YYYY-MM-DD)
updated_at_fromquerynoFilter contacts updated on or after this date (YYYY-MM-DD)
updated_at_toquerynoFilter contacts updated on or before this date (YYYY-MM-DD)
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
additional_namestring
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
avatarobject
FieldTypeDescription
idinteger
urlstring
bank_bicstringBank BIC/SWIFT code
bank_ibanstringBank IBAN
birthdatestring (date)Birthdate of the contact in ISO 8601 format.
buyer_referencestring
cash_discount_daysintegerCash discount days for the contact.
cash_discount_ratenumber (float)Cash discount percentage for the contact.
citystringCity of the address.
company_namestringCompany name (used as name_line_3 in document addresses).
contact_numberinteger
country_codestringISO country code of the address.
created_atstring (date-time)Creation timestamp in ISO 8601 format.
creditor_numberinteger
custom_dataobject
customer_discount_ratenumber (float)Customer-specific discount percentage.
debtor_numberinteger
delivery_termsstring
emailsobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (email)
fieldsobject[]List of contact field values

array

Elements

FieldTypeDescription
id*integerField ID
key*stringField key
value*objectValue of the field
first_namestring
genderstring

string

  • female
  • male
  • diverse
group_idsinteger[]

array

Elements

integer

groupsobject[]List of groups associated with the contact.

array

Elements

FieldTypeDescription
id*integerUnique identifier for the group.
name*stringName of the group.
id*integer
internal_notestringHTML
is_organisation*boolean
last_namestring
name*string
parentobject
FieldTypeDescription
additional_namestring
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
bank_bicstringBank BIC/SWIFT code
bank_ibanstringBank IBAN
birthdatestring (date)Birthdate of the contact in ISO 8601 format.
buyer_referencestring
cash_discount_daysintegerCash discount days for the contact.
cash_discount_ratenumber (float)Cash discount percentage for the contact.
citystringCity of the address.
company_namestringCompany name (used as name_line_3 in document addresses).
contact_numberinteger
country_codestringISO country code of the address.
created_atstring (date-time)Creation timestamp in ISO 8601 format.
creditor_numberinteger
custom_dataobject
customer_discount_ratenumber (float)Customer-specific discount percentage.
debtor_numberinteger
delivery_termsstring
emailsobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (email)
first_namestring
genderstring

string

  • female
  • male
  • diverse
id*integer
internal_notestringHTML
is_organisation*boolean
last_namestring
name*string
parent_idinteger
payment_term_daysinteger
payment_termsstring
phonesobject[]

array

Elements

FieldTypeDescription
namestring
valuestringPhone number in E.164 format.
positionstringPosition of the contact in the organisation.
quote_due_daysinteger
reference_keystring
sepa_creditor_idstring
statestringState or region of the address.
tax_idstringTax ID
titlestringTitle of the contact (e.g., Mr., Mrs.).
type*string

string

  • organisation
  • person
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
vat_idstringVAT ID
websitesobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (https://test.com)
zipstringZIP or postal code.
parent_idinteger
payment_term_daysinteger
payment_termsstring
phonesobject[]

array

Elements

FieldTypeDescription
namestring
valuestringPhone number in E.164 format.
positionstringPosition of the contact in the organisation.
quote_due_daysinteger
reference_keystring
sepa_creditor_idstring
statestringState or region of the address.
status*stringContact lifecycle status. List endpoints default to active contacts when omitted.

string

  • active
  • archived
tax_idstringTax ID
titlestringTitle of the contact (e.g., Mr., Mrs.).
type*string

string

  • organisation
  • person
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
vat_idstringVAT ID
websitesobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (https://test.com)
zipstringZIP or postal code.
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "parent_id": 0,
      "parent": {
        "id": 0,
        "parent_id": 0,
        "type": "organisation",
        "is_organisation": true,
        "name": "string",
        "company_name": "string"
      },
      "type": "organisation",
      "is_organisation": true,
      "name": "string",
      "status": "active"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
Contacts

Questions about integration?

GET /api/account/contacts · Jupiter ERP